<?php

	App::uses('ArrayUtil', 'Lib');

	class TeamMembersController extends EvTeamAppController {

		protected function _adminFormFields() {
			$fields = parent::_adminFormFields();

			unset($fields['TeamMember.location'], $fields['TeamMember.linkedin'], $fields['TeamMember.is_featured']);

			$fields['TeamMember.position']['label'] = 'Job Title';
			$fields['TeamMember.body']['type'] = 'html';

			return $fields;
		}

		public function beforeFilter() {

			parent::beforeFilter();

			$this->Auth->allow(array(
				'index',
				'view',
				'search',
				'filter',
				'experts'
			));
		}

		protected function _adminPopulateLookups() {
			$departments = $this->TeamMember->Department->find('list', array('conditions' => array('Department.is_active' => 1)));
			$this->set(compact('departments'));
		}

		public function index() {

			$departments = $this->TeamMember->Department->getDepartments(null);

			$this->set('departments', $departments['departments']);

			$this->set('team_members', $this->TeamMember->getTeam(null));

			$this->assignPage('STAFF', 'page');
		}

		public function view($id) {
			$data = $this->TeamMember->readForView($id);

			$this->Meta->set($data);
			$this->set('data', $data);
		}

		// redefined to allow us to show contact info
		public function admin_edit($id = null) {

			parent::admin_edit($id);

			$this->view = 'admin_form';
		}

	}
